com.r3corda.core.node.services / UniquenessProvider / ConsumingTx

# ConsumingTx

`data class ConsumingTx`

Specifies the transaction id, the position of the consumed state in the inputs, and the caller identity requesting the commit.

TODO: need to do more design work to prevent privacy problems: knowing the id of a transaction, by the rules of our system the party can obtain it and see its contents. This allows a party to just submit invalid transactions with outputs it was aware of and find out where exactly they were spent.

### Constructors

<init> | `ConsumingTx(id: SecureHash, inputIndex: Int, requestingParty: Party)` Specifies the transaction id, the position of the consumed state in the inputs, and the caller identity requesting the commit.

### Properties

id | `val id: SecureHash`
inputIndex | `val inputIndex: Int`
requestingParty | `val requestingParty: Party`